#
# spec file for package fuse-overlayfs
#
# Copyright (c) 2019 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           fuse-overlayfs
Version:        0.4.1
Release:        lp151.2.1
Summary:        FUSE implementation for overlayfs
License:        GPL-3.0-only
Group:          System/Management
Url:            https://github.com/containers/fuse-overlayfs
Source0:        %{name}-%{version}.tar.xz
BuildRequires:  autoconf
BuildRequires:  automake
BuildRequires:  fuse3-devel
BuildRequires:  gcc

%description
An implementation of overlay+shiftfs in FUSE for rootless containers.

%prep
%setup -q

%build
env NOCONFIGURE=1 ./autogen.sh
%configure --disable-silent-rules

%make_build

%install
%make_install INSTALL="install -p"

%files
# Binaries
%{_bindir}/fuse-overlayfs
%doc README.md
%license COPYING
%doc %{_mandir}/man1/%{name}.1.gz

%changelog
* Mon Jun 17 2019 Sascha Grunert <sgrunert@suse.com>
- Update to v0.4.1 (bsc#1137860):
  - create_directory: do not redeclare variable buf
  - fuse-overlayfs: accept option "dev"
  - fuse-overlayfs: add check to readdir for the node parent
  - fuse-overlayfs: add cleanup for layers
  - fuse-overlayfs: drop usage of static arrays for paths
  - fuse-overlayfs: refactor some xattrs common code
  - fuse-overlayfs: start using GCC autocleanup
  - fuse-overlayfs: use cleanup function for initializing node
  - fuse-overlays: fix interaction of unlink(2) with readdir(2)
  - main: add missing debug messages
  - main: do the unlink only after we created the temporary file
  - main: fix a fd leak
  - main: ignore EINVAL when copying xattrs
  - setattr: use fd from fi->fh for ftruncate() whenever possible
* Thu Mar 28 2019 Flavio Castelli <fcastelli@suse.com>
- Create initial package for version 0.3
